# Configuration for charts with no data — ax_nodata • apexcharter

Configuration for charts with no data

    ax_nodata(
      ax,
      text = "No data",
      align = "center",
      verticalAlign = "middle",
      color = NULL,
      fontSize = NULL,
      fontFamily = NULL,
      offsetX = NULL,
      offsetY = NULL
    )

## Arguments

ax

  An `apexcharts` `htmlwidget` object.

text

  The text to display when no-data is available.

align

  Horizontal alignment: `"left"`, `"center"` or `"right"`.

verticalAlign

  Vertical alignment: `"top"`, `"middle"` or `"bottom"`.

color

  ForeColor of the text.

fontSize

  FontSize of the text.

fontFamily

  FontFamily of the text.

offsetX, offsetY

  Text offset.

## Value

An `apexcharts` `htmlwidget` object.

## Examples

    empty <- data.frame(
      var1 = character(0),
      var2 = numeric(0)
    )
    apex(empty, aes(var1, var2), "column") %>%
      ax_nodata(
        text = "Sorry no data to visualize",
        fontSize = "30px"
      )